/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/8/1 10:54
 * Description:
 */
package com.emr.util;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class ReadFile {

    /*
     * 读取指定路径下的文件名和目录名
     */
    public void getFileList(String path,List divList) {
        File file = new File(path);

        File[] fileList = file.listFiles();

        for (int i = 0; i < fileList.length; i++) {
            if (fileList[i].isFile()) {
                String fileName = fileList[i].getName();
                //System.out.println("文件：" + fileName);
            }

            if (fileList[i].isDirectory()) {
                //if(divList.indexOf(fileList[i].getName())!=-1) {
                    String fileName = fileList[i].getName();
                    //System.out.println("目录：" + fileName);

               // }
            }
        }
    }

    public static void printFile(File file) {
        if (file.isFile()) {
            //System.out.println("您给定的是一个文件"); // 判断给定目录是否是一个合法的目录，如果不是，输出提示
        } else {
            File[] fileLists = file.listFiles(); // 如果是目录，获取该目录下的内容集合

            for (int i = 0; i < fileLists.length; i++) { // 循环遍历这个集合内容
                //System.out.println(fileLists[i].getName());    //输出元素名称
                if (fileLists[i].isDirectory()) {    //判断元素是不是一个目录
                    printFile(fileLists[i]);    //如果是目录，继续调用本方法来输出其子目录
                }
            }
        }
    }

    public static void main(String[] args) {
        printFile(new File("D:\\"));

//        ReadFile rf = new ReadFile();
//        List list=new ArrayList();
//        list.add("log");
//        list.add("logs");
//        rf.getFileList("D:\\", list);
    }
}
 

